corelinux::Strategy Class Reference

Strategy is a base class for describing families of alogrithms. More...

`#include <Strategy.hpp>`

## Public Member Functions

| Strategy (void)
| Default Constructor.
| Strategy (StrategyCref)
| Copy Constructor. More...
virtual | ~Strategy (void)
| Virtual Destructor.
StrategyRef | operator= (StrategyCref)
| Assignment operator overload. More...
bool | operator== (StrategyCref) const
| Equality operator overload. More...
bool | operator!= (StrategyCref) const
| Non-equality operator overload. More...

## Detailed Description

Strategy is a base class for describing families of alogrithms.

Strategy lets the alogrithm vary independently from clients that use them.

## Constructor & Destructor Documentation

corelinux::Strategy::Strategy | ( | StrategyCref |  | ) |

Copy Constructor.

Parameters

  Strategy | const reference

## Member Function Documentation

bool corelinux::Strategy::operator!= | ( | StrategyCref | aRef | ) | const

Non-equality operator overload.

Parameters

  Strategy | const reference

Returns
  false if equal, true otherwise

References operator==().

StrategyRef corelinux::Strategy::operator= | ( | StrategyCref |  | ) |

Assignment operator overload.

Parameters

  Strategy | const reference

Returns
  Strategy reference to self

bool corelinux::Strategy::operator== | ( | StrategyCref | aRef | ) | const

Equality operator overload.

Parameters

  Strategy | const reference

Returns
  true if equal, false otherwise

Referenced by operator!=().

The documentation for this class was generated from the following files:

- Strategy.hpp
- Strategy.cpp

This is the CoreLinux++ reference manual
Provided by The CoreLinux Consortium